select
   an.numero,
   an.sexo, 
   ((ms.dtmovimentacao - an.dtnascimento) / 30.5) as idade_meses,
   ms.dtmovimentacao as data_ult_movimentacao,
   coalesce((select first 1 s2.nome
       from movsetoranimal msa2
           join movsetor ms2 on ms2.cdmovsetor = msa2.cdmovsetor
           join setor s2 on s2.cdsetor = ms2.cdsetordestino
       where msa2.cdanimal = an.cdanimal
           and ms2.dtmovimentacao < ms.dtmovimentacao
       order by
           ms2.dtmovimentacao desc),sei.nome) as setor_origem,
   s.nome as setor_destino,
   (case cat.creprodutiva
       when 1 then 'Coberta'
       when 2 then 'Implantada'
       when 3 then 'Gestante'
       when 4 then 'Vazia' || ': ' || (case cat.sreprodutiva
                                           when 1 then 'Apta'
                                           when 2 then 'Atrasada'
                                           when 3 then 'PEV'
                                           else cat.sreprodutiva end)
       else cat.creprodutiva end) as Situacao_Reprodutiva
from
   movsetor ms
   left join movsetoranimal msa on ms.cdmovsetor=msa.cdmovsetor
   left join animal an on msa.cdanimal=an.cdanimal
   left join setor s on s.cdsetor=ms.cdsetordestino
   left join setor sei on sei.cdsetor = an.cdsetorinicial
   left join sp_categoriaanimal (current_date, '') cat on cat.animal = an.cdanimal
where
   not exists
       (select * from movsetor join movsetoranimal on movsetor.cdmovsetor=movsetoranimal.cdmovsetor
       where movsetoranimal.cdanimal=msa.cdanimal and movsetor.dtmovimentacao>ms.dtmovimentacao)
----ALTERAR O PERODO AQUI CONFORME DESEJADO. MANTER O FORMATO DA DATA 'AAAA-MM-DD'.
   and ms.dtmovimentacao between '2017-01-01' and '2017-01-12'
order by
   an.numordenado